Skip to main content


Eclipse Community Forums
Forum Search:

Search      Help    Register    Login    Home
Home » Eclipse Projects » Plugin Development Environment (PDE) » How to import restricted packages?
How to import restricted packages? [message #40151] Tue, 13 January 2009 07:06
Lenik  is currently offline Lenik Friend
Messages: 13
Registered: July 2009
Junior Member
I'm writing a plug-in which will dump the page layout of the active
perspective, and thus needs to import the org.eclipse.ui.internal.* package.
But this package `is not accessible due to restriction on required library
org.eclipse.ui.workbench_3.5.0.I200812010-1800.jar', so if I'm just want to
hack into, what shall I do?

I can compile the plug-in and run by launching an eclipse application, but I
wonder the warnings may prohibit me from deploy the plug-in to the real
world eclipse installations. Is there any official method to import the
restricted packages?

Lenik
Previous Topic:How to figure out unnecessary plug-in dependencies?
Next Topic:How to import restricted packages?
Goto Forum:
  


Current Time: Fri Jun 18 08:37:58 GMT 2021

Powered by FUDForum. Page generated in 0.01357 seconds
.:: Contact :: Home ::.

Powered by: FUDforum 3.0.2.
Copyright ©2001-2010 FUDforum Bulletin Board Software

Back to the top